[Документация Yandex Cloud](../../../index.md) > [Yandex Identity Hub](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Group](index.md) > ResolveExternal

# Identity Hub API, REST: Group.ResolveExternal

Returns external group by subject container and external id

## HTTP request

```
GET https://organization-manager.api.yandexcloud.kz/organization-manager/v1/external_groups/{subjectContainerId}/{externalId}
```

## Path parameters

#|
||Field | Description ||
|| subjectContainerId | **string**

Required field. Id of the subject container that external group belongs to
To get subject container, use a [yandex.cloud.organizationmanager.v1.saml.FederationService.List](../../saml/api-ref/Federation/list.md#List) request
or [yandex.cloud.organizationmanager.v1.idp.UserpoolService.List](../../idp/api-ref/Userpool/list.md#List) request.

The maximum string length in characters is 50. ||
|| externalId | **string**

Required field. Id of the group from external system

The maximum string length in characters is 1024. ||
|#

## Response {#yandex.cloud.organizationmanager.v1.Group}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "organizationId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "subjectContainerId": "string",
  "externalId": "string",
  "labels": "object"
}
```

A Group resource.
For more information, see [Groups](../../operations/manage-groups.md).

#|
||Field | Description ||
|| id | **string**

ID of the group. ||
|| organizationId | **string**

ID of the organization that the group belongs to. ||
|| createdAt | **string** (date-time)

Creation timestamp.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| name | **string**

Name of the group. ||
|| description | **string**

Description of the group. ||
|| subjectContainerId | **string**

Id of the subject container that external group belongs to. It is set if group is external. ||
|| externalId | **string**

Id of the group from external system. It is set if group is external. ||
|| labels | **object** (map<**string**, **string**>)

Resource labels as `key:value` pairs. ||
|#